# swagger_client

SwaggerClient - the Ruby gem for the Описание API для сервиса Wappi.pro

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.v3.generators.ruby.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build swagger_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./swagger_client-1.0.0.gem
```
(for development, run `gem install --dev ./swagger_client-1.0.0.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'swagger_client', '~> 1.0.0'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'swagger_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'swagger_client'
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ChatApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.


begin
  #Удалить чат
  result = api_instance.api_sync_chat_delete_post(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ChatApi->api_sync_chat_delete_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ChatApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.


begin
  #Отметить сообщения прочитанными в чате
  result = api_instance.api_sync_chat_seen_send_post(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ChatApi->api_sync_chat_seen_send_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ChatApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить список чатов
  result = api_instance.api_sync_chats_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ChatApi->api_sync_chats_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Заблокировать контакт
  result = api_instance.api_sync_contact_block_post(profile_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_block_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
opts = { 
  profile_pic: 'profile_pic_example' # String | Получить картинку профиля, может принимать значения base64 или url
}

begin
  #Получить информацию о контакте
  result = api_instance.api_sync_contact_get_get(profile_id, contact, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Проверка зарегестрирован ли контакт
  result = api_instance.api_sync_contact_registered_check_post(profile_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_registered_check_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Разблокировать контакт
  result = api_instance.api_sync_contact_unblock_post(profile_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_unblock_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить список контактов
  result = api_instance.api_sync_contacts_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contacts_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GetQRCodeApi.new
profile_id = 'profile_id_example' # String | Profile ID
opts = { 
  image_type: 'base64' # String | В каком формате получить qr код
}

begin
  #Получить QR код из WhatsApp для авторизации
  result = api_instance.api_sync_qr_get_get(profile_id, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GetQRCodeApi->api_sync_qr_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Убрать права администратора группы для контакта
  result = api_instance.api_sync_group_admin_demote_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_admin_demote_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Добавить права администратора группы контакту
  result = api_instance.api_sync_group_admin_promove_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_admin_promove_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.


begin
  #Получить список администраторов из группы
  result = api_instance.api_sync_group_admins_get_get(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_admins_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
body = nil # Object | Добавление массива контактов. Для ввода доступны форматы:

 ID контакта.*Пример: * ** 13475634251 @c.us ** ;

 Номер телефона.*Пример: * ** 79002224477 ** . Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.

 *Пример массива: * 

 
profile_id = 'profile_id_example' # String | Profile ID
name = 'name_example' # String | Название группы


begin
  #Создать новую группу
  result = api_instance.api_sync_group_create_post(body, profile_id, name)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_create_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.


begin
  #Покинуть группу
  result = api_instance.api_sync_group_leave_post(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_leave_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Добавить контакт в группу
  result = api_instance.api_sync_group_participant_add_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_participant_add_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Удалить контакт из группы
  result = api_instance.api_sync_group_participant_remove_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_participant_remove_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.


begin
  #Получить контакты из группы
  result = api_instance.api_sync_group_participants_get_get(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_participants_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
message_id = 'message_id_example' # String | ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**


begin
  #Удалить сообщение
  result = api_instance.api_sync_message_delete_post(profile_id, message_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_delete_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
recipient = 'recipient_example' # String | Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
opts = { 
  file: 'file_example', # String | 
  create: true, # BOOLEAN | Создать новый чат, если его нет.
  file_type: 'file', # String | Тип файла.
  caption: '' # String | Подпись к файлу.
}

begin
  #Отправить файл
  result = api_instance.api_sync_message_file_send_post(profile_id, recipient, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_file_send_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
message_id = 'message_id_example' # String | ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**


begin
  #Ответить на сообщение
  result = api_instance.api_sync_message_reply_post(profile_id, message_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_reply_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
body = 'body_example' # String | Текст сообщения - любая строка, включая emoji.
profile_id = 'profile_id_example' # String | Profile ID
recipient = 'recipient_example' # String | Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
opts = { 
  create: true # BOOLEAN | Создавать новый чат, если его нет.
}

begin
  #Отправить сообщение
  result = api_instance.api_sync_message_send_post(body, profile_id, recipient, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_send_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
opts = { 
  include_me: false, # BOOLEAN | Включать собственные сообщения.
  filters: 'all', # String | Все сообщения или только непрочитанные.
  include_notifications: false, # BOOLEAN | Включать notifications.
  load_all_msg: false # BOOLEAN | Загружать все сообщения (ВНИМАНИЕ: работает только в асинхронном режиме).
}

begin
  #Получить сообщения
  result = api_instance.api_sync_messages_get_get(profile_id, chat_id, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_messages_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить непрочитанные сообщения
  result = api_instance.api_sync_messages_unread_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_messages_unread_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::TasksApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Удалить из очереди ожидающие выполнения асинхронные задачи
  result = api_instance.api_tasks_clear_pending_post(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling TasksApi->api_tasks_clear_pending_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::TasksApi.new
profile_id = 'profile_id_example' # String | Profile ID
opts = { 
  limit: 56, # Integer | limit
  task_id: 'task_id_example' # String | Task ID
}

begin
  #Получить список асинхронных задач
  result = api_instance.api_tasks_get_get(profile_id, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling TasksApi->api_tasks_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::UseHereApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Принудительное использование браузера у нас, если залогинен в другом браузере
  result = api_instance.api_sync_use_here_post(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling UseHereApi->api_sync_use_here_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WebhookApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Удалить ссылку на webhook
  result = api_instance.api_webhook_url_delete_post(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WebhookApi->api_webhook_url_delete_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WebhookApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить ссылку на webhook
  result = api_instance.api_webhook_url_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WebhookApi->api_webhook_url_get_get: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WebhookApi.new
profile_id = 'profile_id_example' # String | Profile ID
url = 'url_example' # String | <your url>


begin
  #Установить ссылку на webhook для уведомлений
  result = api_instance.api_webhook_url_set_post(profile_id, url)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WebhookApi->api_webhook_url_set_post: #{e}"
end
# Setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WhatsAppStatusApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #WhatsApp проверить статус
  result = api_instance.api_async_get_status_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WhatsAppStatusApi->api_async_get_status_get: #{e}"
end
```

## Documentation for API Endpoints

All URIs are relative to *https://wappi.pro*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*SwaggerClient::ChatApi* | [**api_sync_chat_delete_post**](docs/ChatApi.md#api_sync_chat_delete_post) | **POST** /api/sync/chat/delete | Удалить чат
*SwaggerClient::ChatApi* | [**api_sync_chat_seen_send_post**](docs/ChatApi.md#api_sync_chat_seen_send_post) | **POST** /api/sync/chat/seen/send | Отметить сообщения прочитанными в чате
*SwaggerClient::ChatApi* | [**api_sync_chats_get_get**](docs/ChatApi.md#api_sync_chats_get_get) | **GET** /api/sync/chats/get | Получить список чатов
*SwaggerClient::ContactsApi* | [**api_sync_contact_block_post**](docs/ContactsApi.md#api_sync_contact_block_post) | **POST** /api/sync/contact/block | Заблокировать контакт
*SwaggerClient::ContactsApi* | [**api_sync_contact_get_get**](docs/ContactsApi.md#api_sync_contact_get_get) | **GET** /api/sync/contact/get | Получить информацию о контакте
*SwaggerClient::ContactsApi* | [**api_sync_contact_registered_check_post**](docs/ContactsApi.md#api_sync_contact_registered_check_post) | **POST** /api/sync/contact/registered/check | Проверка зарегестрирован ли контакт
*SwaggerClient::ContactsApi* | [**api_sync_contact_unblock_post**](docs/ContactsApi.md#api_sync_contact_unblock_post) | **POST** /api/sync/contact/unblock | Разблокировать контакт
*SwaggerClient::ContactsApi* | [**api_sync_contacts_get_get**](docs/ContactsApi.md#api_sync_contacts_get_get) | **GET** /api/sync/contacts/get | Получить список контактов
*SwaggerClient::GetQRCodeApi* | [**api_sync_qr_get_get**](docs/GetQRCodeApi.md#api_sync_qr_get_get) | **GET** /api/sync/qr/get | Получить QR код из WhatsApp для авторизации
*SwaggerClient::GroupsApi* | [**api_sync_group_admin_demote_post**](docs/GroupsApi.md#api_sync_group_admin_demote_post) | **POST** /api/sync/group/admin/demote | Убрать права администратора группы для контакта
*SwaggerClient::GroupsApi* | [**api_sync_group_admin_promove_post**](docs/GroupsApi.md#api_sync_group_admin_promove_post) | **POST** /api/sync/group/admin/promove | Добавить права администратора группы контакту
*SwaggerClient::GroupsApi* | [**api_sync_group_admins_get_get**](docs/GroupsApi.md#api_sync_group_admins_get_get) | **GET** /api/sync/group/admins/get | Получить список администраторов из группы
*SwaggerClient::GroupsApi* | [**api_sync_group_create_post**](docs/GroupsApi.md#api_sync_group_create_post) | **POST** /api/sync/group/create | Создать новую группу
*SwaggerClient::GroupsApi* | [**api_sync_group_leave_post**](docs/GroupsApi.md#api_sync_group_leave_post) | **POST** /api/sync/group/leave | Покинуть группу
*SwaggerClient::GroupsApi* | [**api_sync_group_participant_add_post**](docs/GroupsApi.md#api_sync_group_participant_add_post) | **POST** /api/sync/group/participant/add | Добавить контакт в группу
*SwaggerClient::GroupsApi* | [**api_sync_group_participant_remove_post**](docs/GroupsApi.md#api_sync_group_participant_remove_post) | **POST** /api/sync/group/participant/remove | Удалить контакт из группы
*SwaggerClient::GroupsApi* | [**api_sync_group_participants_get_get**](docs/GroupsApi.md#api_sync_group_participants_get_get) | **GET** /api/sync/group/participants/get | Получить контакты из группы
*SwaggerClient::MessagesApi* | [**api_sync_message_delete_post**](docs/MessagesApi.md#api_sync_message_delete_post) | **POST** /api/sync/message/delete | Удалить сообщение
*SwaggerClient::MessagesApi* | [**api_sync_message_file_send_post**](docs/MessagesApi.md#api_sync_message_file_send_post) | **POST** /api/sync/message/file/send | Отправить файл
*SwaggerClient::MessagesApi* | [**api_sync_message_reply_post**](docs/MessagesApi.md#api_sync_message_reply_post) | **POST** /api/sync/message/reply | Ответить на сообщение
*SwaggerClient::MessagesApi* | [**api_sync_message_send_post**](docs/MessagesApi.md#api_sync_message_send_post) | **POST** /api/sync/message/send | Отправить сообщение
*SwaggerClient::MessagesApi* | [**api_sync_messages_get_get**](docs/MessagesApi.md#api_sync_messages_get_get) | **GET** /api/sync/messages/get | Получить сообщения
*SwaggerClient::MessagesApi* | [**api_sync_messages_unread_get_get**](docs/MessagesApi.md#api_sync_messages_unread_get_get) | **GET** /api/sync/messages/unread/get | Получить непрочитанные сообщения
*SwaggerClient::TasksApi* | [**api_tasks_clear_pending_post**](docs/TasksApi.md#api_tasks_clear_pending_post) | **POST** /api/tasks/clear/pending | Удалить из очереди ожидающие выполнения асинхронные задачи
*SwaggerClient::TasksApi* | [**api_tasks_get_get**](docs/TasksApi.md#api_tasks_get_get) | **GET** /api/tasks/get | Получить список асинхронных задач
*SwaggerClient::UseHereApi* | [**api_sync_use_here_post**](docs/UseHereApi.md#api_sync_use_here_post) | **POST** /api/sync/use/here | Принудительное использование браузера у нас, если залогинен в другом браузере
*SwaggerClient::WebhookApi* | [**api_webhook_url_delete_post**](docs/WebhookApi.md#api_webhook_url_delete_post) | **POST** /api/webhook/url/delete | Удалить ссылку на webhook
*SwaggerClient::WebhookApi* | [**api_webhook_url_get_get**](docs/WebhookApi.md#api_webhook_url_get_get) | **GET** /api/webhook/url/get | Получить ссылку на webhook
*SwaggerClient::WebhookApi* | [**api_webhook_url_set_post**](docs/WebhookApi.md#api_webhook_url_set_post) | **POST** /api/webhook/url/set | Установить ссылку на webhook для уведомлений
*SwaggerClient::WhatsAppStatusApi* | [**api_async_get_status_get**](docs/WhatsAppStatusApi.md#api_async_get_status_get) | **GET** /api/async/get/status | WhatsApp проверить статус

## Documentation for Models

 - [SwaggerClient::FileSendBody](docs/FileSendBody.md)
 - [SwaggerClient::InlineResponse200](docs/InlineResponse200.md)
 - [SwaggerClient::InlineResponse2001](docs/InlineResponse2001.md)
 - [SwaggerClient::InlineResponse20010](docs/InlineResponse20010.md)
 - [SwaggerClient::InlineResponse20011](docs/InlineResponse20011.md)
 - [SwaggerClient::InlineResponse20012](docs/InlineResponse20012.md)
 - [SwaggerClient::InlineResponse20013](docs/InlineResponse20013.md)
 - [SwaggerClient::InlineResponse20013Contacts](docs/InlineResponse20013Contacts.md)
 - [SwaggerClient::InlineResponse20014](docs/InlineResponse20014.md)
 - [SwaggerClient::InlineResponse20015](docs/InlineResponse20015.md)
 - [SwaggerClient::InlineResponse20016](docs/InlineResponse20016.md)
 - [SwaggerClient::InlineResponse2002](docs/InlineResponse2002.md)
 - [SwaggerClient::InlineResponse2003](docs/InlineResponse2003.md)
 - [SwaggerClient::InlineResponse2004](docs/InlineResponse2004.md)
 - [SwaggerClient::InlineResponse2004Contacts](docs/InlineResponse2004Contacts.md)
 - [SwaggerClient::InlineResponse2005](docs/InlineResponse2005.md)
 - [SwaggerClient::InlineResponse2006](docs/InlineResponse2006.md)
 - [SwaggerClient::InlineResponse2006Chats](docs/InlineResponse2006Chats.md)
 - [SwaggerClient::InlineResponse2007](docs/InlineResponse2007.md)
 - [SwaggerClient::InlineResponse2007Chats](docs/InlineResponse2007Chats.md)
 - [SwaggerClient::InlineResponse2007Sender](docs/InlineResponse2007Sender.md)
 - [SwaggerClient::InlineResponse2008](docs/InlineResponse2008.md)
 - [SwaggerClient::InlineResponse2008Chats](docs/InlineResponse2008Chats.md)
 - [SwaggerClient::InlineResponse2008UnreadMessages](docs/InlineResponse2008UnreadMessages.md)
 - [SwaggerClient::InlineResponse2009](docs/InlineResponse2009.md)
 - [SwaggerClient::InlineResponse201](docs/InlineResponse201.md)
 - [SwaggerClient::InlineResponse405](docs/InlineResponse405.md)
 - [SwaggerClient::InlineResponse4051](docs/InlineResponse4051.md)
 - [SwaggerClient::InlineResponse406](docs/InlineResponse406.md)
 - [SwaggerClient::InlineResponse4061](docs/InlineResponse4061.md)
 - [SwaggerClient::InlineResponse4062](docs/InlineResponse4062.md)
 - [SwaggerClient::InlineResponse4063](docs/InlineResponse4063.md)
 - [SwaggerClient::InlineResponse4064](docs/InlineResponse4064.md)
 - [SwaggerClient::InlineResponse407](docs/InlineResponse407.md)
 - [SwaggerClient::InlineResponse408](docs/InlineResponse408.md)
 - [SwaggerClient::InlineResponse4081](docs/InlineResponse4081.md)
 - [SwaggerClient::InlineResponse409](docs/InlineResponse409.md)
 - [SwaggerClient::InlineResponse4091](docs/InlineResponse4091.md)

## Documentation for Authorization


### api_key

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

