# SwaggerClient::ChatApi

All URIs are relative to *https://wappi.pro*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_sync_chat_delete_post**](ChatApi.md#api_sync_chat_delete_post) | **POST** /api/sync/chat/delete | Удалить чат
[**api_sync_chat_seen_send_post**](ChatApi.md#api_sync_chat_seen_send_post) | **POST** /api/sync/chat/seen/send | Отметить сообщения прочитанными в чате
[**api_sync_chats_get_get**](ChatApi.md#api_sync_chats_get_get) | **GET** /api/sync/chats/get | Получить список чатов

# **api_sync_chat_delete_post**
> InlineResponse2002 api_sync_chat_delete_post(profile_id, chat_id)

Удалить чат

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ChatApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.


begin
  #Удалить чат
  result = api_instance.api_sync_chat_delete_post(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ChatApi->api_sync_chat_delete_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_chat_seen_send_post**
> InlineResponse2002 api_sync_chat_seen_send_post(profile_id, chat_id)

Отметить сообщения прочитанными в чате

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ChatApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.


begin
  #Отметить сообщения прочитанными в чате
  result = api_instance.api_sync_chat_seen_send_post(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ChatApi->api_sync_chat_seen_send_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_chats_get_get**
> InlineResponse2006 api_sync_chats_get_get(profile_id)

Получить список чатов

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ChatApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить список чатов
  result = api_instance.api_sync_chats_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ChatApi->api_sync_chats_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 

### Return type

[**InlineResponse2006**](InlineResponse2006.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



