# SwaggerClient::ContactsApi

All URIs are relative to *https://wappi.pro*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_sync_contact_block_post**](ContactsApi.md#api_sync_contact_block_post) | **POST** /api/sync/contact/block | Заблокировать контакт
[**api_sync_contact_get_get**](ContactsApi.md#api_sync_contact_get_get) | **GET** /api/sync/contact/get | Получить информацию о контакте
[**api_sync_contact_registered_check_post**](ContactsApi.md#api_sync_contact_registered_check_post) | **POST** /api/sync/contact/registered/check | Проверка зарегестрирован ли контакт
[**api_sync_contact_unblock_post**](ContactsApi.md#api_sync_contact_unblock_post) | **POST** /api/sync/contact/unblock | Разблокировать контакт
[**api_sync_contacts_get_get**](ContactsApi.md#api_sync_contacts_get_get) | **GET** /api/sync/contacts/get | Получить список контактов

# **api_sync_contact_block_post**
> InlineResponse2002 api_sync_contact_block_post(profile_id, contact)

Заблокировать контакт

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Заблокировать контакт
  result = api_instance.api_sync_contact_block_post(profile_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_block_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_contact_get_get**
> InlineResponse2005 api_sync_contact_get_get(profile_id, contact, opts)

Получить информацию о контакте

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
opts = { 
  profile_pic: 'profile_pic_example' # String | Получить картинку профиля, может принимать значения base64 или url
}

begin
  #Получить информацию о контакте
  result = api_instance.api_sync_contact_get_get(profile_id, contact, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 
 **profile_pic** | **String**| Получить картинку профиля, может принимать значения base64 или url | [optional] 

### Return type

[**InlineResponse2005**](InlineResponse2005.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_contact_registered_check_post**
> InlineResponse2009 api_sync_contact_registered_check_post(profile_id, contact)

Проверка зарегестрирован ли контакт

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Проверка зарегестрирован ли контакт
  result = api_instance.api_sync_contact_registered_check_post(profile_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_registered_check_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2009**](InlineResponse2009.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_contact_unblock_post**
> InlineResponse2002 api_sync_contact_unblock_post(profile_id, contact)

Разблокировать контакт

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Разблокировать контакт
  result = api_instance.api_sync_contact_unblock_post(profile_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contact_unblock_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_contacts_get_get**
> InlineResponse2004 api_sync_contacts_get_get(profile_id)

Получить список контактов

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::ContactsApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить список контактов
  result = api_instance.api_sync_contacts_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling ContactsApi->api_sync_contacts_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 

### Return type

[**InlineResponse2004**](InlineResponse2004.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



