# SwaggerClient::GroupsApi

All URIs are relative to *https://wappi.pro*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_sync_group_admin_demote_post**](GroupsApi.md#api_sync_group_admin_demote_post) | **POST** /api/sync/group/admin/demote | Убрать права администратора группы для контакта
[**api_sync_group_admin_promove_post**](GroupsApi.md#api_sync_group_admin_promove_post) | **POST** /api/sync/group/admin/promove | Добавить права администратора группы контакту
[**api_sync_group_admins_get_get**](GroupsApi.md#api_sync_group_admins_get_get) | **GET** /api/sync/group/admins/get | Получить список администраторов из группы
[**api_sync_group_create_post**](GroupsApi.md#api_sync_group_create_post) | **POST** /api/sync/group/create | Создать новую группу
[**api_sync_group_leave_post**](GroupsApi.md#api_sync_group_leave_post) | **POST** /api/sync/group/leave | Покинуть группу
[**api_sync_group_participant_add_post**](GroupsApi.md#api_sync_group_participant_add_post) | **POST** /api/sync/group/participant/add | Добавить контакт в группу
[**api_sync_group_participant_remove_post**](GroupsApi.md#api_sync_group_participant_remove_post) | **POST** /api/sync/group/participant/remove | Удалить контакт из группы
[**api_sync_group_participants_get_get**](GroupsApi.md#api_sync_group_participants_get_get) | **GET** /api/sync/group/participants/get | Получить контакты из группы

# **api_sync_group_admin_demote_post**
> InlineResponse2002 api_sync_group_admin_demote_post(profile_id, chat_id, contact)

Убрать права администратора группы для контакта

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Убрать права администратора группы для контакта
  result = api_instance.api_sync_group_admin_demote_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_admin_demote_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_group_admin_promove_post**
> InlineResponse2002 api_sync_group_admin_promove_post(profile_id, chat_id, contact)

Добавить права администратора группы контакту

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Добавить права администратора группы контакту
  result = api_instance.api_sync_group_admin_promove_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_admin_promove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_group_admins_get_get**
> InlineResponse20013 api_sync_group_admins_get_get(profile_id, chat_id)

Получить список администраторов из группы

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.


begin
  #Получить список администраторов из группы
  result = api_instance.api_sync_group_admins_get_get(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_admins_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 

### Return type

[**InlineResponse20013**](InlineResponse20013.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_group_create_post**
> InlineResponse20012 api_sync_group_create_post(bodyprofile_idname)

Создать новую группу

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
body = nil # Object | Добавление массива контактов. Для ввода доступны форматы:

 ID контакта.*Пример: * ** 13475634251 @c.us ** ;

 Номер телефона.*Пример: * ** 79002224477 ** . Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.

 *Пример массива: * 

 
profile_id = 'profile_id_example' # String | Profile ID
name = 'name_example' # String | Название группы


begin
  #Создать новую группу
  result = api_instance.api_sync_group_create_post(bodyprofile_idname)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_create_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Object**](Object.md)| Добавление массива контактов. Для ввода доступны форматы:

 ID контакта.*Пример: * ** 13475634251 @c.us ** ;

 Номер телефона.*Пример: * ** 79002224477 ** . Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.

 *Пример массива: * 

  | 
 **profile_id** | **String**| Profile ID | 
 **name** | **String**| Название группы | 

### Return type

[**InlineResponse20012**](InlineResponse20012.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json



# **api_sync_group_leave_post**
> InlineResponse2002 api_sync_group_leave_post(profile_id, chat_id)

Покинуть группу

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.


begin
  #Покинуть группу
  result = api_instance.api_sync_group_leave_post(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_leave_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_group_participant_add_post**
> InlineResponse2002 api_sync_group_participant_add_post(profile_id, chat_id, contact)

Добавить контакт в группу

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Добавить контакт в группу
  result = api_instance.api_sync_group_participant_add_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_participant_add_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_group_participant_remove_post**
> InlineResponse2002 api_sync_group_participant_remove_post(profile_id, chat_id, contact)

Удалить контакт из группы

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.
contact = 'contact_example' # String | Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.


begin
  #Удалить контакт из группы
  result = api_instance.api_sync_group_participant_remove_post(profile_id, chat_id, contact)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_participant_remove_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 
 **contact** | **String**| Контакт. Для ввода доступны форматы:   ID контакта.*Пример: * ** 13475634251 @c.us ** ;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны. Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_group_participants_get_get**
> InlineResponse2004 api_sync_group_participants_get_get(profile_id, chat_id)

Получить контакты из группы

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::GroupsApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы.


begin
  #Получить контакты из группы
  result = api_instance.api_sync_group_participants_get_get(profile_id, chat_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling GroupsApi->api_sync_group_participants_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата группы из списка сообщений. *Пример:* **13475634251-1567456345@g.us** для группы. | 

### Return type

[**InlineResponse2004**](InlineResponse2004.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



