# SwaggerClient::MessagesApi

All URIs are relative to *https://wappi.pro*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_sync_message_delete_post**](MessagesApi.md#api_sync_message_delete_post) | **POST** /api/sync/message/delete | Удалить сообщение
[**api_sync_message_file_send_post**](MessagesApi.md#api_sync_message_file_send_post) | **POST** /api/sync/message/file/send | Отправить файл
[**api_sync_message_reply_post**](MessagesApi.md#api_sync_message_reply_post) | **POST** /api/sync/message/reply | Ответить на сообщение
[**api_sync_message_send_post**](MessagesApi.md#api_sync_message_send_post) | **POST** /api/sync/message/send | Отправить сообщение
[**api_sync_messages_get_get**](MessagesApi.md#api_sync_messages_get_get) | **GET** /api/sync/messages/get | Получить сообщения
[**api_sync_messages_unread_get_get**](MessagesApi.md#api_sync_messages_unread_get_get) | **GET** /api/sync/messages/unread/get | Получить непрочитанные сообщения

# **api_sync_message_delete_post**
> InlineResponse2002 api_sync_message_delete_post(profile_id, message_id)

Удалить сообщение

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
message_id = 'message_id_example' # String | ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**


begin
  #Удалить сообщение
  result = api_instance.api_sync_message_delete_post(profile_id, message_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_delete_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **message_id** | **String**| ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A** | 

### Return type

[**InlineResponse2002**](InlineResponse2002.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_message_file_send_post**
> InlineResponse2001 api_sync_message_file_send_post(profile_idrecipient, opts)

Отправить файл

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
recipient = 'recipient_example' # String | Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
opts = { 
  file: 'file_example' # String | 
  create: true # BOOLEAN | Создать новый чат, если его нет.
  file_type: 'file' # String | Тип файла.
  caption: '' # String | Подпись к файлу.
}

begin
  #Отправить файл
  result = api_instance.api_sync_message_file_send_post(profile_idrecipient, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_file_send_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **recipient** | **String**| Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 
 **file** | **String**|  | [optional] 
 **create** | **BOOLEAN**| Создать новый чат, если его нет. | [optional] [default to true]
 **file_type** | **String**| Тип файла. | [optional] [default to file]
 **caption** | **String**| Подпись к файлу. | [optional] 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: multipart/form-data
 - **Accept**: application/json



# **api_sync_message_reply_post**
> InlineResponse2001 api_sync_message_reply_post(profile_id, message_id)

Ответить на сообщение

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
message_id = 'message_id_example' # String | ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**


begin
  #Ответить на сообщение
  result = api_instance.api_sync_message_reply_post(profile_id, message_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_reply_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **message_id** | **String**| ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A** | 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json



# **api_sync_message_send_post**
> InlineResponse2001 api_sync_message_send_post(bodyprofile_idrecipient, opts)

Отправить сообщение

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
body = 'body_example' # String | Текст сообщения - любая строка, включая emoji.
profile_id = 'profile_id_example' # String | Profile ID
recipient = 'recipient_example' # String | Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
opts = { 
  create: true # BOOLEAN | Создавать новый чат, если его нет.
}

begin
  #Отправить сообщение
  result = api_instance.api_sync_message_send_post(bodyprofile_idrecipient, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_message_send_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**String**](String.md)| Текст сообщения - любая строка, включая emoji. | 
 **profile_id** | **String**| Profile ID | 
 **recipient** | **String**| Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены. | 
 **create** | **BOOLEAN**| Создавать новый чат, если его нет. | [optional] [default to true]

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: text/plain
 - **Accept**: application/json



# **api_sync_messages_get_get**
> InlineResponse2007 api_sync_messages_get_get(profile_id, chat_id, opts)

Получить сообщения

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID
chat_id = 'chat_id_example' # String | Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
opts = { 
  include_me: false, # BOOLEAN | Включать собственные сообщения.
  filters: 'all', # String | Все сообщения или только непрочитанные.
  include_notifications: false, # BOOLEAN | Включать notifications.
  load_all_msg: false # BOOLEAN | Загружать все сообщения (ВНИМАНИЕ: работает только в асинхронном режиме).
}

begin
  #Получить сообщения
  result = api_instance.api_sync_messages_get_get(profile_id, chat_id, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_messages_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **chat_id** | **String**| Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы. | 
 **include_me** | **BOOLEAN**| Включать собственные сообщения. | [optional] [default to false]
 **filters** | **String**| Все сообщения или только непрочитанные. | [optional] [default to all]
 **include_notifications** | **BOOLEAN**| Включать notifications. | [optional] [default to false]
 **load_all_msg** | **BOOLEAN**| Загружать все сообщения (ВНИМАНИЕ: работает только в асинхронном режиме). | [optional] [default to false]

### Return type

[**InlineResponse2007**](InlineResponse2007.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_sync_messages_unread_get_get**
> InlineResponse2008 api_sync_messages_unread_get_get(profile_id)

Получить непрочитанные сообщения

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::MessagesApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить непрочитанные сообщения
  result = api_instance.api_sync_messages_unread_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling MessagesApi->api_sync_messages_unread_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 

### Return type

[**InlineResponse2008**](InlineResponse2008.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



