# SwaggerClient::TasksApi

All URIs are relative to *https://wappi.pro*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_tasks_clear_pending_post**](TasksApi.md#api_tasks_clear_pending_post) | **POST** /api/tasks/clear/pending | Удалить из очереди ожидающие выполнения асинхронные задачи
[**api_tasks_get_get**](TasksApi.md#api_tasks_get_get) | **GET** /api/tasks/get | Получить список асинхронных задач

# **api_tasks_clear_pending_post**
> InlineResponse20011 api_tasks_clear_pending_post(profile_id)

Удалить из очереди ожидающие выполнения асинхронные задачи

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::TasksApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Удалить из очереди ожидающие выполнения асинхронные задачи
  result = api_instance.api_tasks_clear_pending_post(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling TasksApi->api_tasks_clear_pending_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 

### Return type

[**InlineResponse20011**](InlineResponse20011.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_tasks_get_get**
> InlineResponse20010 api_tasks_get_get(profile_id, opts)

Получить список асинхронных задач

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::TasksApi.new
profile_id = 'profile_id_example' # String | Profile ID
opts = { 
  limit: 56, # Integer | limit
  task_id: 'task_id_example' # String | Task ID
}

begin
  #Получить список асинхронных задач
  result = api_instance.api_tasks_get_get(profile_id, opts)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling TasksApi->api_tasks_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **limit** | **Integer**| limit | [optional] 
 **task_id** | **String**| Task ID | [optional] 

### Return type

[**InlineResponse20010**](InlineResponse20010.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



