# SwaggerClient::WebhookApi

All URIs are relative to *https://wappi.pro*

Method | HTTP request | Description
------------- | ------------- | -------------
[**api_webhook_url_delete_post**](WebhookApi.md#api_webhook_url_delete_post) | **POST** /api/webhook/url/delete | Удалить ссылку на webhook
[**api_webhook_url_get_get**](WebhookApi.md#api_webhook_url_get_get) | **GET** /api/webhook/url/get | Получить ссылку на webhook
[**api_webhook_url_set_post**](WebhookApi.md#api_webhook_url_set_post) | **POST** /api/webhook/url/set | Установить ссылку на webhook для уведомлений

# **api_webhook_url_delete_post**
> InlineResponse20016 api_webhook_url_delete_post(profile_id)

Удалить ссылку на webhook

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WebhookApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Удалить ссылку на webhook
  result = api_instance.api_webhook_url_delete_post(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WebhookApi->api_webhook_url_delete_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 

### Return type

[**InlineResponse20016**](InlineResponse20016.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_webhook_url_get_get**
> InlineResponse20014 api_webhook_url_get_get(profile_id)

Получить ссылку на webhook

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WebhookApi.new
profile_id = 'profile_id_example' # String | Profile ID


begin
  #Получить ссылку на webhook
  result = api_instance.api_webhook_url_get_get(profile_id)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WebhookApi->api_webhook_url_get_get: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 

### Return type

[**InlineResponse20014**](InlineResponse20014.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



# **api_webhook_url_set_post**
> InlineResponse20015 api_webhook_url_set_post(profile_id, url)

Установить ссылку на webhook для уведомлений

### Example
```ruby
# load the gem
require 'swagger_client'
# setup authorization
SwaggerClient.configure do |config|
  # Configure API key authorization: api_key
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = SwaggerClient::WebhookApi.new
profile_id = 'profile_id_example' # String | Profile ID
url = 'url_example' # String | <your url>


begin
  #Установить ссылку на webhook для уведомлений
  result = api_instance.api_webhook_url_set_post(profile_id, url)
  p result
rescue SwaggerClient::ApiError => e
  puts "Exception when calling WebhookApi->api_webhook_url_set_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **profile_id** | **String**| Profile ID | 
 **url** | **String**| &lt;your url&gt; | 

### Return type

[**InlineResponse20015**](InlineResponse20015.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json



