=begin
#Описание API для сервиса Wappi.pro

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.33
=end

module SwaggerClient
  class ChatApi
    attr_accessor :api_client

    def initialize(api_client = ApiClient.default)
      @api_client = api_client
    end
    # Удалить чат
    # @param profile_id Profile ID
    # @param chat_id Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
    # @param [Hash] opts the optional parameters
    # @return [InlineResponse2002]
    def api_sync_chat_delete_post(profile_id, chat_id, opts = {})
      data, _status_code, _headers = api_sync_chat_delete_post_with_http_info(profile_id, chat_id, opts)
      data
    end

    # Удалить чат
    # @param profile_id Profile ID
    # @param chat_id Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
    # @param [Hash] opts the optional parameters
    # @return [Array<(InlineResponse2002, Integer, Hash)>] InlineResponse2002 data, response status code and response headers
    def api_sync_chat_delete_post_with_http_info(profile_id, chat_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: ChatApi.api_sync_chat_delete_post ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling ChatApi.api_sync_chat_delete_post"
      end
      # verify the required parameter 'chat_id' is set
      if @api_client.config.client_side_validation && chat_id.nil?
        fail ArgumentError, "Missing the required parameter 'chat_id' when calling ChatApi.api_sync_chat_delete_post"
      end
      # resource path
      local_var_path = '/api/sync/chat/delete'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'chat_id'] = chat_id

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2002' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: ChatApi#api_sync_chat_delete_post\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Отметить сообщения прочитанными в чате
    # @param profile_id Profile ID
    # @param chat_id Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
    # @param [Hash] opts the optional parameters
    # @return [InlineResponse2002]
    def api_sync_chat_seen_send_post(profile_id, chat_id, opts = {})
      data, _status_code, _headers = api_sync_chat_seen_send_post_with_http_info(profile_id, chat_id, opts)
      data
    end

    # Отметить сообщения прочитанными в чате
    # @param profile_id Profile ID
    # @param chat_id Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
    # @param [Hash] opts the optional parameters
    # @return [Array<(InlineResponse2002, Integer, Hash)>] InlineResponse2002 data, response status code and response headers
    def api_sync_chat_seen_send_post_with_http_info(profile_id, chat_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: ChatApi.api_sync_chat_seen_send_post ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling ChatApi.api_sync_chat_seen_send_post"
      end
      # verify the required parameter 'chat_id' is set
      if @api_client.config.client_side_validation && chat_id.nil?
        fail ArgumentError, "Missing the required parameter 'chat_id' when calling ChatApi.api_sync_chat_seen_send_post"
      end
      # resource path
      local_var_path = '/api/sync/chat/seen/send'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'chat_id'] = chat_id

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2002' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: ChatApi#api_sync_chat_seen_send_post\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Получить список чатов
    # @param profile_id Profile ID
    # @param [Hash] opts the optional parameters
    # @return [InlineResponse2006]
    def api_sync_chats_get_get(profile_id, opts = {})
      data, _status_code, _headers = api_sync_chats_get_get_with_http_info(profile_id, opts)
      data
    end

    # Получить список чатов
    # @param profile_id Profile ID
    # @param [Hash] opts the optional parameters
    # @return [Array<(InlineResponse2006, Integer, Hash)>] InlineResponse2006 data, response status code and response headers
    def api_sync_chats_get_get_with_http_info(profile_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: ChatApi.api_sync_chats_get_get ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling ChatApi.api_sync_chats_get_get"
      end
      # resource path
      local_var_path = '/api/sync/chats/get'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2006' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:GET, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: ChatApi#api_sync_chats_get_get\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
  end
end
