=begin
#Описание API для сервиса Wappi.pro

#No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

OpenAPI spec version: 1.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 3.0.33
=end

module SwaggerClient
  class MessagesApi
    attr_accessor :api_client

    def initialize(api_client = ApiClient.default)
      @api_client = api_client
    end
    # Удалить сообщение
    # @param profile_id Profile ID
    # @param message_id ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**
    # @param [Hash] opts the optional parameters
    # @return [InlineResponse2002]
    def api_sync_message_delete_post(profile_id, message_id, opts = {})
      data, _status_code, _headers = api_sync_message_delete_post_with_http_info(profile_id, message_id, opts)
      data
    end

    # Удалить сообщение
    # @param profile_id Profile ID
    # @param message_id ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**
    # @param [Hash] opts the optional parameters
    # @return [Array<(InlineResponse2002, Integer, Hash)>] InlineResponse2002 data, response status code and response headers
    def api_sync_message_delete_post_with_http_info(profile_id, message_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: MessagesApi.api_sync_message_delete_post ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling MessagesApi.api_sync_message_delete_post"
      end
      # verify the required parameter 'message_id' is set
      if @api_client.config.client_side_validation && message_id.nil?
        fail ArgumentError, "Missing the required parameter 'message_id' when calling MessagesApi.api_sync_message_delete_post"
      end
      # resource path
      local_var_path = '/api/sync/message/delete'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'message_id'] = message_id

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2002' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: MessagesApi#api_sync_message_delete_post\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Отправить файл
    # @param profile_id Profile ID
    # @param recipient Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
    # @param [Hash] opts the optional parameters
    # @option opts [String] :file 
    # @option opts [BOOLEAN] :create Создать новый чат, если его нет. (default to true)
    # @option opts [String] :file_type Тип файла. (default to file)
    # @option opts [String] :caption Подпись к файлу.
    # @return [InlineResponse2001]
    def api_sync_message_file_send_post(profile_id, recipient, opts = {})
      data, _status_code, _headers = api_sync_message_file_send_post_with_http_info(profile_id, recipient, opts)
      data
    end

    # Отправить файл
    # @param profile_id Profile ID
    # @param recipient Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
    # @param [Hash] opts the optional parameters
    # @option opts [String] :file 
    # @option opts [BOOLEAN] :create Создать новый чат, если его нет.
    # @option opts [String] :file_type Тип файла.
    # @option opts [String] :caption Подпись к файлу.
    # @return [Array<(InlineResponse2001, Integer, Hash)>] InlineResponse2001 data, response status code and response headers
    def api_sync_message_file_send_post_with_http_info(profile_id, recipient, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: MessagesApi.api_sync_message_file_send_post ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling MessagesApi.api_sync_message_file_send_post"
      end
      # verify the required parameter 'recipient' is set
      if @api_client.config.client_side_validation && recipient.nil?
        fail ArgumentError, "Missing the required parameter 'recipient' when calling MessagesApi.api_sync_message_file_send_post"
      end
      if @api_client.config.client_side_validation && opts[:'file_type'] && !['file', 'base64'].include?(opts[:'file_type'])
        fail ArgumentError, 'invalid value for "file_type", must be one of file, base64'
      end
      # resource path
      local_var_path = '/api/sync/message/file/send'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'recipient'] = recipient
      query_params[:'create'] = opts[:'create'] if !opts[:'create'].nil?
      query_params[:'file_type'] = opts[:'file_type'] if !opts[:'file_type'].nil?
      query_params[:'caption'] = opts[:'caption'] if !opts[:'caption'].nil?

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['multipart/form-data'])

      # form parameters
      form_params = opts[:form_params] || {}
      form_params['file'] = opts[:'file'] if !opts[:'file'].nil?

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2001' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: MessagesApi#api_sync_message_file_send_post\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Ответить на сообщение
    # @param profile_id Profile ID
    # @param message_id ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**
    # @param [Hash] opts the optional parameters
    # @return [InlineResponse2001]
    def api_sync_message_reply_post(profile_id, message_id, opts = {})
      data, _status_code, _headers = api_sync_message_reply_post_with_http_info(profile_id, message_id, opts)
      data
    end

    # Ответить на сообщение
    # @param profile_id Profile ID
    # @param message_id ID сообщения в формате **false_9001112233@c.us_4EB1F19C471F4A61CC5A**
    # @param [Hash] opts the optional parameters
    # @return [Array<(InlineResponse2001, Integer, Hash)>] InlineResponse2001 data, response status code and response headers
    def api_sync_message_reply_post_with_http_info(profile_id, message_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: MessagesApi.api_sync_message_reply_post ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling MessagesApi.api_sync_message_reply_post"
      end
      # verify the required parameter 'message_id' is set
      if @api_client.config.client_side_validation && message_id.nil?
        fail ArgumentError, "Missing the required parameter 'message_id' when calling MessagesApi.api_sync_message_reply_post"
      end
      # resource path
      local_var_path = '/api/sync/message/reply'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'message_id'] = message_id

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['application/x-www-form-urlencoded'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2001' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: MessagesApi#api_sync_message_reply_post\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Отправить сообщение
    # @param body Текст сообщения - любая строка, включая emoji.
    # @param profile_id Profile ID
    # @param recipient Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
    # @param [Hash] opts the optional parameters
    # @option opts [BOOLEAN] :create Создавать новый чат, если его нет. (default to true)
    # @return [InlineResponse2001]
    def api_sync_message_send_post(body, profile_id, recipient, opts = {})
      data, _status_code, _headers = api_sync_message_send_post_with_http_info(body, profile_id, recipient, opts)
      data
    end

    # Отправить сообщение
    # @param body Текст сообщения - любая строка, включая emoji.
    # @param profile_id Profile ID
    # @param recipient Получатель. Для ввода доступны форматы:   Chat ID - ID чата из списка сообщений.*Примеры: * ** 13475634251 @c.us ** для личных сообщений и ** 13475634251 - 1567456345 @g.us ** для группы;   Номер телефона.*Пример: * ** 79002224477 ** .Номер должен начинаться с кода страны.Для России и Казахстана это всегда 7, затем 10 цифр.Сообщения на номера телефона с 8 не будут доставлены.
    # @param [Hash] opts the optional parameters
    # @option opts [BOOLEAN] :create Создавать новый чат, если его нет.
    # @return [Array<(InlineResponse2001, Integer, Hash)>] InlineResponse2001 data, response status code and response headers
    def api_sync_message_send_post_with_http_info(body, profile_id, recipient, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: MessagesApi.api_sync_message_send_post ...'
      end
      # verify the required parameter 'body' is set
      if @api_client.config.client_side_validation && body.nil?
        fail ArgumentError, "Missing the required parameter 'body' when calling MessagesApi.api_sync_message_send_post"
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling MessagesApi.api_sync_message_send_post"
      end
      # verify the required parameter 'recipient' is set
      if @api_client.config.client_side_validation && recipient.nil?
        fail ArgumentError, "Missing the required parameter 'recipient' when calling MessagesApi.api_sync_message_send_post"
      end
      # resource path
      local_var_path = '/api/sync/message/send'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'recipient'] = recipient
      query_params[:'create'] = opts[:'create'] if !opts[:'create'].nil?

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])
      # HTTP header 'Content-Type'
      header_params['Content-Type'] = @api_client.select_header_content_type(['text/plain'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] || @api_client.object_to_http_body(body) 

      return_type = opts[:return_type] || 'InlineResponse2001' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:POST, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: MessagesApi#api_sync_message_send_post\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Получить сообщения
    # @param profile_id Profile ID
    # @param chat_id Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
    # @param [Hash] opts the optional parameters
    # @option opts [BOOLEAN] :include_me Включать собственные сообщения. (default to false)
    # @option opts [String] :filters Все сообщения или только непрочитанные. (default to all)
    # @option opts [BOOLEAN] :include_notifications Включать notifications. (default to false)
    # @option opts [BOOLEAN] :load_all_msg Загружать все сообщения (ВНИМАНИЕ: работает только в асинхронном режиме). (default to false)
    # @return [InlineResponse2007]
    def api_sync_messages_get_get(profile_id, chat_id, opts = {})
      data, _status_code, _headers = api_sync_messages_get_get_with_http_info(profile_id, chat_id, opts)
      data
    end

    # Получить сообщения
    # @param profile_id Profile ID
    # @param chat_id Chat ID - ID чата из списка сообщений. *Примеры:* **13475634251@c.us** для личных сообщений и **13475634251-1567456345@g.us** для группы.
    # @param [Hash] opts the optional parameters
    # @option opts [BOOLEAN] :include_me Включать собственные сообщения.
    # @option opts [String] :filters Все сообщения или только непрочитанные.
    # @option opts [BOOLEAN] :include_notifications Включать notifications.
    # @option opts [BOOLEAN] :load_all_msg Загружать все сообщения (ВНИМАНИЕ: работает только в асинхронном режиме).
    # @return [Array<(InlineResponse2007, Integer, Hash)>] InlineResponse2007 data, response status code and response headers
    def api_sync_messages_get_get_with_http_info(profile_id, chat_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: MessagesApi.api_sync_messages_get_get ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling MessagesApi.api_sync_messages_get_get"
      end
      # verify the required parameter 'chat_id' is set
      if @api_client.config.client_side_validation && chat_id.nil?
        fail ArgumentError, "Missing the required parameter 'chat_id' when calling MessagesApi.api_sync_messages_get_get"
      end
      if @api_client.config.client_side_validation && opts[:'filters'] && !['all', 'unread'].include?(opts[:'filters'])
        fail ArgumentError, 'invalid value for "filters", must be one of all, unread'
      end
      # resource path
      local_var_path = '/api/sync/messages/get'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id
      query_params[:'chat_id'] = chat_id
      query_params[:'include_me'] = opts[:'include_me'] if !opts[:'include_me'].nil?
      query_params[:'filters'] = opts[:'filters'] if !opts[:'filters'].nil?
      query_params[:'include_notifications'] = opts[:'include_notifications'] if !opts[:'include_notifications'].nil?
      query_params[:'load_all_msg'] = opts[:'load_all_msg'] if !opts[:'load_all_msg'].nil?

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2007' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:GET, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: MessagesApi#api_sync_messages_get_get\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
    # Получить непрочитанные сообщения
    # @param profile_id Profile ID
    # @param [Hash] opts the optional parameters
    # @return [InlineResponse2008]
    def api_sync_messages_unread_get_get(profile_id, opts = {})
      data, _status_code, _headers = api_sync_messages_unread_get_get_with_http_info(profile_id, opts)
      data
    end

    # Получить непрочитанные сообщения
    # @param profile_id Profile ID
    # @param [Hash] opts the optional parameters
    # @return [Array<(InlineResponse2008, Integer, Hash)>] InlineResponse2008 data, response status code and response headers
    def api_sync_messages_unread_get_get_with_http_info(profile_id, opts = {})
      if @api_client.config.debugging
        @api_client.config.logger.debug 'Calling API: MessagesApi.api_sync_messages_unread_get_get ...'
      end
      # verify the required parameter 'profile_id' is set
      if @api_client.config.client_side_validation && profile_id.nil?
        fail ArgumentError, "Missing the required parameter 'profile_id' when calling MessagesApi.api_sync_messages_unread_get_get"
      end
      # resource path
      local_var_path = '/api/sync/messages/unread/get'

      # query parameters
      query_params = opts[:query_params] || {}
      query_params[:'profile_id'] = profile_id

      # header parameters
      header_params = opts[:header_params] || {}
      # HTTP header 'Accept' (if needed)
      header_params['Accept'] = @api_client.select_header_accept(['application/json'])

      # form parameters
      form_params = opts[:form_params] || {}

      # http body (model)
      post_body = opts[:body] 

      return_type = opts[:return_type] || 'InlineResponse2008' 

      auth_names = opts[:auth_names] || ['api_key']
      data, status_code, headers = @api_client.call_api(:GET, local_var_path,
        :header_params => header_params,
        :query_params => query_params,
        :form_params => form_params,
        :body => post_body,
        :auth_names => auth_names,
        :return_type => return_type)

      if @api_client.config.debugging
        @api_client.config.logger.debug "API called: MessagesApi#api_sync_messages_unread_get_get\nData: #{data.inspect}\nStatus code: #{status_code}\nHeaders: #{headers}"
      end
      return data, status_code, headers
    end
  end
end
